## ricochet 0.7

=== ricochet-0.5/Makefile ===
# Makefile.in generated by automake 1.15 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2014 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.





am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/ricochet
pkgincludedir = $(includedir)/ricochet
pkglibdir = $(libdir)/ricochet
pkglibexecdir = $(libexecdir)/ricochet
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
	$(am__configure_deps) $(am__DIST_COMMON)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_CLEAN_FILES = ricochet.man rrserve.man ricochet.spec
CONFIG_CLEAN_VPATH_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)" \
	"$(DESTDIR)$(man6dir)" "$(DESTDIR)$(desktopdir)" \
	"$(DESTDIR)$(icondir)" "$(DESTDIR)$(ricochetlibdir)"
SCRIPTS = $(bin_SCRIPTS)
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
man1dir = $(mandir)/man1
man6dir = $(mandir)/man6
NROFF = nroff
MANS = $(man1_MANS) $(man6_MANS)
DATA = $(desktop_DATA) $(icon_DATA) $(ricochetlib_DATA)
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/ricochet.man.in \
	$(srcdir)/ricochet.spec.in $(srcdir)/rrserve.man.in install-sh \
	missing
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  if test -d "$(distdir)"; then \
    find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
      && rm -rf "$(distdir)" \
      || { sleep 5 && rm -rf "$(distdir)"; }; \
  else :; fi
am__post_remove_distdir = $(am__remove_distdir)
DIST_ARCHIVES = $(distdir).tar.gz
GZIP_ENV = --best
DIST_TARGETS = dist-gzip
distuninstallcheck_listfiles = find . -type f -print
am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
  | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} /local/src/ricochet/ricochet-0.5/missing aclocal-1.15
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AUTOCONF = ${SHELL} /local/src/ricochet/ricochet-0.5/missing autoconf
AUTOHEADER = ${SHELL} /local/src/ricochet/ricochet-0.5/missing autoheader
AUTOMAKE = ${SHELL} /local/src/ricochet/ricochet-0.5/missing automake-1.15
AWK = gawk
BUILD_DATE = 2015-06-09
CYGPATH_W = echo
DEFS = -DPACKAGE_NAME=\"server-main.5c\" -DPACKAGE_TARNAME=\"ricochet\" -DPACKAGE_VERSION=\"0.5\" -DPACKAGE_STRING=\"server-main.5c\ 0.5\" -DPACKAGE_BUGREPORT=\"http://rr.nickle.org\" -DPACKAGE_URL=\"\" -DPACKAGE=\"ricochet\" -DVERSION=\"0.5\"
ECHO_C = 
ECHO_N = -n
ECHO_T = 
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LIBOBJS = 
LIBS = 
LTLIBOBJS = 
MAINT = #
MAKEINFO = ${SHELL} /local/src/ricochet/ricochet-0.5/missing makeinfo
MAN_SECTION = 6
MKDIR_P = /bin/mkdir -p
PACKAGE = ricochet
PACKAGE_BUGREPORT = http://rr.nickle.org
PACKAGE_NAME = server-main.5c
PACKAGE_STRING = server-main.5c 0.5
PACKAGE_TARNAME = ricochet
PACKAGE_URL = 
PACKAGE_VERSION = 0.5
PATH_SEPARATOR = :
SET_MAKE = 
SHELL = /bin/bash
STRIP = 
VERSION = 0.5
abs_builddir = /local/src/ricochet/ricochet-0.5
abs_srcdir = /local/src/ricochet/ricochet-0.5
abs_top_builddir = /local/src/ricochet/ricochet-0.5
abs_top_srcdir = /local/src/ricochet/ricochet-0.5
am__leading_dot = .
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = /usr/games
build_alias = x86_64-linux-gnu
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host_alias = 
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${prefix}/share/info
install_sh = ${SHELL} /local/src/ricochet/ricochet-0.5/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${prefix}/lib/ricochet
localedir = ${datarootdir}/locale
localstatedir = /var
mandir = ${prefix}/share/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
ricochetlibdir = ${datadir}/ricochet
runstatedir = ${localstatedir}/run
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = /etc
target_alias = 
top_build_prefix = 
top_builddir = .
top_srcdir = .
AUTOMAKE_OPTIONS = foreign
UTILSRC = \
	array.5c		\
	list.5c			\
	shuffle.5c		\
	timer.5c

RRSRC = \
	rr.5c			\
	rr-lex.5c		\
	rr-send.5c

CLIENTSRC = \
	client.5c		\
	client-board.5c		\
	client-draw.5c		\
	client-games.5c		\
	client-host.5c		\
	client-link.5c		\
	client-main.5c		\
	client-messages.5c	\
	client-net.5c		\
	client-update.5c	\
	client-userlist.5c	\
	client-util.5c		\
	client-window.5c	\
	nichrome-message.5c	\
	nichrome-rrboard.5c	\
	nichrome-timer.5c

CLIENTBUILT = \
	client-svg.5c

SERVERSRC = \
	server.5c		\
	server-boards.5c	\
	server-clients.5c	\
	server-dispatch.5c	\
	server-games.5c		\
	server-main.5c		\
	server-net.5c		\
	server-readreq.5c	\
	server-show.5c

man6_MANS = ricochet.man rrserve.man
#man1_MANS = ricochet.man rrserve.man
MANSRC = ricochet.man.in rrserve.man.in
desktopdir = $(datadir)/applications
desktop_file = ricochet.desktop
desktop_DATA = $(desktop_file)
ICON = ricochet-icon.svg
icondir = $(datadir)/icons/hicolor/scalable/apps
icon_DATA = $(ICON)
SVG = \
	$(top_srcdir)/svg/cell1.svg \
	$(top_srcdir)/svg/cell2.svg \
	$(top_srcdir)/svg/robot_blue.svg \
	$(top_srcdir)/svg/robot_green.svg \
	$(top_srcdir)/svg/robot_red.svg \
	$(top_srcdir)/svg/robot_yellow.svg \
	$(top_srcdir)/svg/target_blue_circle.svg \
	$(top_srcdir)/svg/target_blue_octagon.svg \
	$(top_srcdir)/svg/target_blue_square.svg \
	$(top_srcdir)/svg/target_blue_triangle.svg \
	$(top_srcdir)/svg/target_green_circle.svg \
	$(top_srcdir)/svg/target_green_octagon.svg \
	$(top_srcdir)/svg/target_green_square.svg \
	$(top_srcdir)/svg/target_green_triangle.svg \
	$(top_srcdir)/svg/target_red_circle.svg \
	$(top_srcdir)/svg/target_red_octagon.svg \
	$(top_srcdir)/svg/target_red_square.svg \
	$(top_srcdir)/svg/target_red_triangle.svg \
	$(top_srcdir)/svg/target_whirl.svg \
	$(top_srcdir)/svg/target_yellow_circle.svg \
	$(top_srcdir)/svg/target_yellow_octagon.svg \
	$(top_srcdir)/svg/target_yellow_square.svg \
	$(top_srcdir)/svg/target_yellow_triangle.svg \
	$(top_srcdir)/svg/wall.svg \
	$(top_srcdir)/svg/robot_shadow.svg

NICKLESRC = $(UTILSRC) $(RRSRC) $(CLIENTSRC) $(SERVERSRC)
NICKLEFILES = $(NICKLESRC) $(CLIENTBUILT)
DEBIAN = debian/changelog debian/compat \
	 debian/control debian/copyright debian/rules \
	 debian/source/format

EXTRA_DIST = protocol \
	$(NICKLESRC) \
	ricochet.in rrserve.in \
	svg/bin2cstring.5c \
	make-icon.5c \
	$(desktop_file).in \
	$(SVG) $(DEBIAN) LICENSE $(MANSRC)

ricochetlib_DATA = $(NICKLEFILES)
bin_SCRIPTS = ricochet rrserve
TARFILE = $(PACKAGE)-$(VERSION).tar.gz
DEBFILE = $(PACKAGE)_$(VERSION)-1_all.deb
SRPMFILE = $(RPMDIR)/SRPMS/$(PACKAGE)-$(VERSION)-1.src.rpm
RPMFILE = $(RPMDIR)/RPMS/$(PACKAGE)-$(VERSION)-1.all.rpm
RELEASE_FILES = $(TARFILE) $(DEBFILE) $(SRPMFILE) $(RPMFILE)
DEB_TAR_DIR = $(PACKAGE)_$(VERSION).orig
DEB_TAR = $(DEB_TAR_DIR).tar.gz

#
# This assumes you've got Mike Harris's rpmbuild-nonroot stuff installed
# using the defaults
#
RPMDIR = $(HOME)/rpmbuild
all: all-am

.SUFFIXES:
am--refresh: Makefile
	@:
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
	      $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
	$(am__cd) $(top_srcdir) && \

=== ricochet-0.6/Makefile ===
# Makefile.in generated by automake 1.15 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2014 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.





am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/ricochet
pkgincludedir = $(includedir)/ricochet
pkglibdir = $(libdir)/ricochet
pkglibexecdir = $(libexecdir)/ricochet
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
	$(am__configure_deps) $(am__DIST_COMMON)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_CLEAN_FILES = ricochet.man rrserve.man ricochet.spec
CONFIG_CLEAN_VPATH_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)" \
	"$(DESTDIR)$(man6dir)" "$(DESTDIR)$(desktopdir)" \
	"$(DESTDIR)$(icondir)" "$(DESTDIR)$(ricochetlibdir)"
SCRIPTS = $(bin_SCRIPTS)
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
man1dir = $(mandir)/man1
man6dir = $(mandir)/man6
NROFF = nroff
MANS = $(man1_MANS) $(man6_MANS)
DATA = $(desktop_DATA) $(icon_DATA) $(ricochetlib_DATA)
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/ricochet.man.in \
	$(srcdir)/ricochet.spec.in $(srcdir)/rrserve.man.in install-sh \
	missing
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  if test -d "$(distdir)"; then \
    find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
      && rm -rf "$(distdir)" \
      || { sleep 5 && rm -rf "$(distdir)"; }; \
  else :; fi
am__post_remove_distdir = $(am__remove_distdir)
DIST_ARCHIVES = $(distdir).tar.gz
GZIP_ENV = --best
DIST_TARGETS = dist-gzip
distuninstallcheck_listfiles = find . -type f -print
am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
  | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} /local/src/ricochet/ricochet-0.6/missing aclocal-1.15
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AUTOCONF = ${SHELL} /local/src/ricochet/ricochet-0.6/missing autoconf
AUTOHEADER = ${SHELL} /local/src/ricochet/ricochet-0.6/missing autoheader
AUTOMAKE = ${SHELL} /local/src/ricochet/ricochet-0.6/missing automake-1.15
AWK = gawk
BUILD_DATE = 2017-03-23
CYGPATH_W = echo
DEFS = -DPACKAGE_NAME=\"server-main.5c\" -DPACKAGE_TARNAME=\"ricochet\" -DPACKAGE_VERSION=\"0.6\" -DPACKAGE_STRING=\"server-main.5c\ 0.6\" -DPACKAGE_BUGREPORT=\"http://rr.nickle.org\" -DPACKAGE_URL=\"\" -DPACKAGE=\"ricochet\" -DVERSION=\"0.6\"
ECHO_C = 
ECHO_N = -n
ECHO_T = 
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LIBOBJS = 
LIBS = 
LTLIBOBJS = 
MAINT = #
MAKEINFO = ${SHELL} /local/src/ricochet/ricochet-0.6/missing makeinfo
MAN_SECTION = 6
MKDIR_P = /bin/mkdir -p
PACKAGE = ricochet
PACKAGE_BUGREPORT = http://rr.nickle.org
PACKAGE_NAME = server-main.5c
PACKAGE_STRING = server-main.5c 0.6
PACKAGE_TARNAME = ricochet
PACKAGE_URL = 
PACKAGE_VERSION = 0.6
PATH_SEPARATOR = :
SET_MAKE = 
SHELL = /bin/bash
STRIP = 
VERSION = 0.6
abs_builddir = /local/src/ricochet/ricochet-0.6
abs_srcdir = /local/src/ricochet/ricochet-0.6
abs_top_builddir = /local/src/ricochet/ricochet-0.6
abs_top_srcdir = /local/src/ricochet/ricochet-0.6
am__leading_dot = .
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = /usr/games
build_alias = x86_64-linux-gnu
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host_alias = 
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${prefix}/share/info
install_sh = ${SHELL} /local/src/ricochet/ricochet-0.6/install-sh
libdir = ${prefix}/lib/x86_64-linux-gnu
libexecdir = ${prefix}/lib/x86_64-linux-gnu
localedir = ${datarootdir}/locale
localstatedir = /var
mandir = ${prefix}/share/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
ricochetlibdir = ${datadir}/ricochet
runstatedir = ${localstatedir}/run
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = /etc
target_alias = 
top_build_prefix = 
top_builddir = .
top_srcdir = .
AUTOMAKE_OPTIONS = foreign
UTILSRC = \
	array.5c		\
	list.5c			\
	shuffle.5c		\
	timer.5c

RRSRC = \
	rr.5c			\
	rr-lex.5c		\
	rr-send.5c

CLIENTSRC = \
	client.5c		\
	client-board.5c		\
	client-draw.5c		\
	client-games.5c		\
	client-host.5c		\
	client-link.5c		\
	client-main.5c		\
	client-messages.5c	\
	client-net.5c		\
	client-update.5c	\
	client-userlist.5c	\
	client-util.5c		\
	client-window.5c	\
	nichrome-message.5c	\
	nichrome-rrboard.5c	\
	nichrome-timer.5c

CLIENTBUILT = \
	client-svg.5c

SERVERSRC = \
	server.5c		\
	server-boards.5c	\
	server-clients.5c	\
	server-dispatch.5c	\
	server-games.5c		\
	server-main.5c		\
	server-net.5c		\
	server-readreq.5c	\
	server-show.5c

man6_MANS = ricochet.man rrserve.man
#man1_MANS = ricochet.man rrserve.man
MANSRC = ricochet.man.in rrserve.man.in
desktopdir = $(datadir)/applications
desktop_file = ricochet.desktop
desktop_DATA = $(desktop_file)
ICON = ricochet-icon.svg
icondir = $(datadir)/icons/hicolor/scalable/apps
icon_DATA = $(ICON)
SVG = \
	$(top_srcdir)/svg/cell1.svg \
	$(top_srcdir)/svg/cell2.svg \
	$(top_srcdir)/svg/robot_blue.svg \
	$(top_srcdir)/svg/robot_green.svg \
	$(top_srcdir)/svg/robot_red.svg \
	$(top_srcdir)/svg/robot_yellow.svg \
	$(top_srcdir)/svg/target_blue_circle.svg \
	$(top_srcdir)/svg/target_blue_octagon.svg \
	$(top_srcdir)/svg/target_blue_square.svg \
	$(top_srcdir)/svg/target_blue_triangle.svg \
	$(top_srcdir)/svg/target_green_circle.svg \
	$(top_srcdir)/svg/target_green_octagon.svg \
	$(top_srcdir)/svg/target_green_square.svg \
	$(top_srcdir)/svg/target_green_triangle.svg \
	$(top_srcdir)/svg/target_red_circle.svg \
	$(top_srcdir)/svg/target_red_octagon.svg \
	$(top_srcdir)/svg/target_red_square.svg \
	$(top_srcdir)/svg/target_red_triangle.svg \
	$(top_srcdir)/svg/target_whirl.svg \
	$(top_srcdir)/svg/target_yellow_circle.svg \
	$(top_srcdir)/svg/target_yellow_octagon.svg \
	$(top_srcdir)/svg/target_yellow_square.svg \
	$(top_srcdir)/svg/target_yellow_triangle.svg \
	$(top_srcdir)/svg/wall.svg \
	$(top_srcdir)/svg/robot_shadow.svg

NICKLESRC = $(UTILSRC) $(RRSRC) $(CLIENTSRC) $(SERVERSRC)
NICKLEFILES = $(NICKLESRC) $(CLIENTBUILT)
DEBIAN = debian/changelog debian/compat \
	 debian/control debian/copyright debian/rules \
	 debian/source/format

EXTRA_DIST = protocol \
	$(NICKLESRC) \
	ricochet.in rrserve.in \
	svg/bin2cstring.5c \
	make-icon.5c \
	$(desktop_file).in \
	$(SVG) $(DEBIAN) LICENSE $(MANSRC)

ricochetlib_DATA = $(NICKLEFILES)
bin_SCRIPTS = ricochet rrserve
TARFILE = $(PACKAGE)-$(VERSION).tar.gz
DEBFILE = $(PACKAGE)_$(VERSION)-1_all.deb
SRPMFILE = $(RPMDIR)/SRPMS/$(PACKAGE)-$(VERSION)-1.src.rpm
RPMFILE = $(RPMDIR)/RPMS/$(PACKAGE)-$(VERSION)-1.all.rpm
RELEASE_FILES = $(TARFILE) $(DEBFILE) $(SRPMFILE) $(RPMFILE)
DEB_TAR_DIR = $(PACKAGE)_$(VERSION).orig
DEB_TAR = $(DEB_TAR_DIR).tar.gz

#
# This assumes you've got Mike Harris's rpmbuild-nonroot stuff installed
# using the defaults
#
RPMDIR = $(HOME)/rpmbuild
all: all-am

.SUFFIXES:
am--refresh: Makefile
	@:
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
	      $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \

## ricochet 0.3

=== debian/changelog ===
ricochet (0.3) unstable; urgency=low

  * Improve appearance of board
  * Fix user list when removing/adding same user

 -- Keith Packard <keithp@keithp.com>  Mon, 11 Jun 2012 13:37:57 -0700

ricochet (0.2) unstable; urgency=low

  * Rename 'rrclient' to 'ricochet'
  * Add name/host selection dialog
  * Add build dependency on 'nickle'. Closes: #674302.

 -- Keith Packard <keithp@keithp.com>  Wed, 30 May 2012 15:19:02 -0700

ricochet (0.1) unstable; urgency=low

  * Initial release

 -- Keith Packard <keithp@keithp.com>  Mon, 19 Mar 2012 21:46:32 -0700

=== debian/control ===
Source: ricochet
Section: games
Priority: extra
Maintainer: Keith Packard <keithp@keithp.com>
Build-Depends: debhelper (>= 8.0.0), autotools-dev, nickle (>= 2.74)
Standards-Version: 3.9.3
Homepage: http://rr.nickle.org

Package: ricochet
Architecture: all
Depends: ${misc:Depends}, nickle (>= 2.74), cairo-5c (>= 1.7)
Description: multi-user networked version of the Ricochet Robots game
 Client and server programs written in nickle using the nichrome toolkit

## ricochet 0.4+nmu1

=== debian/changelog ===
ricochet (0.4+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Added missing build dependency cairo-5c. (Closes: #746126) 

 -- Johannes Brandstätter <jbrandst@2ds.eu>  Sun, 27 Apr 2014 16:23:18 +0200

ricochet (0.4) unstable; urgency=low

  * Bring up the host chooser UI when the server connection fails
  * Add .desktop file and application icon. Closes #738017.

 -- Keith Packard <keithp@keithp.com>  Mon, 10 Feb 2014 00:14:52 -0800

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: games
 Priority: extra
 Maintainer: Keith Packard <keithp@keithp.com>
-Build-Depends: debhelper (>= 8.0.0), autotools-dev, nickle (>= 2.74)
+Build-Depends: debhelper (>= 8.0.0), autotools-dev, nickle (>= 2.74), cairo-5c (>= 1.7)
 Standards-Version: 3.9.3
 Homepage: http://rr.nickle.org

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

configure_flags = --bindir=/usr/games --enable-gameman

%:
	dh $@  --with autotools-dev

override_dh_auto_configure:
	dh_auto_configure -- $(configure_flags)

## ricochet 0.7

=== debian/changelog ===
ricochet (0.7) unstable; urgency=medium

  * Add build dependency on cairo-5c >= 1.7. Closes: #861531.

 -- Keith Packard <keithp@keithp.com>  Sun, 30 Apr 2017 08:28:25 -0700

ricochet (0.6) unstable; urgency=medium

  * Debian standard 3.9.8
  * dh compat 10
  * versioned link to debian/copyright format

 -- Keith Packard <keithp@keithp.com>  Thu, 23 Mar 2017 15:30:22 +0100

ricochet (0.5) unstable; urgency=medium

  * Make build reproducible by setting BUILD_DATE from changelog.
    Closes: #787675.
  * Release version 0.5.

 -- Keith Packard <keithp@keithp.com>  Tue, 09 Jun 2015 06:00:54 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: games
 Priority: extra
 Maintainer: Keith Packard <keithp@keithp.com>
-Build-Depends: debhelper (>= 8.0.0), autotools-dev, nickle (>= 2.74), cairo-5c (>= 1.7)
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 10), autotools-dev, nickle (>= 2.74), cairo-5c (>= 1.7)
+Standards-Version: 3.9.8
 Homepage: http://rr.nickle.org
 
 Package: ricochet

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,9 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+BUILD_DATE=$(shell dpkg-parsechangelog -S Date | LC_ALL=C date -u "+%F" -f -)
+export BUILD_DATE
+
 configure_flags = --bindir=/usr/games --enable-gameman
 
 %:

## ricochet 0.9

=== debian/changelog ===
ricochet (0.9) unstable; urgency=medium

  * Fix man page dates to match release date

 -- Keith Packard <keithp@keithp.com>  Mon, 22 Oct 2018 22:01:25 -0700

ricochet (0.8) unstable; urgency=medium

  * Fix a pile of lintian warnings
  * Make board larger by default

 -- Keith Packard <keithp@keithp.com>  Thu, 04 Oct 2018 17:09:30 -0700

=== debian/control ===
Source: ricochet
Section: games
Priority: optional
Maintainer: Keith Packard <keithp@keithp.com>
Build-Depends: debhelper (>= 11), nickle (>= 2.74), cairo-5c (>= 1.7)
Standards-Version: 4.2.1
Homepage: http://rr.nickle.org

Package: ricochet
Architecture: all
Depends: ${misc:Depends}, nickle (>= 2.74), cairo-5c (>= 1.7)
Description: multi-user networked version of the Ricochet Robots game
 Ricochet Robots is a multi-player board game which involves each user
 simultaneously solving a geometric challenge. This implementation is
 a networked version of the game with both client and server programs
 written in nickle using the nichrome toolkit.

## ricochet 0.9+nmu1

=== debian/changelog ===
ricochet (0.9+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 18:32:54 +0800

## ricochet 0.10

=== debian/changelog ===
ricochet (0.10) unstable; urgency=medium

  * Update debian bits to current versions
  * Generate new version to upload source only

 -- Keith Packard <keithp@keithp.com>  Wed, 06 Jan 2021 11:30:14 -0800

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: games
 Priority: optional
 Maintainer: Keith Packard <keithp@keithp.com>
-Build-Depends: debhelper (>= 11), nickle (>= 2.74), cairo-5c (>= 1.7)
-Standards-Version: 4.2.1
+Build-Depends: debhelper-compat (= 13), nickle (>= 2.74), cairo-5c (>= 1.7)
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 Homepage: http://rr.nickle.org
 
 Package: ricochet

=== debian/rules ===
--- 
+++ 
@@ -9,13 +9,13 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-BUILD_DATE=$(shell dpkg-parsechangelog -S Date | LC_ALL=C date -u "+%F" -f -)
-export BUILD_DATE
+include /usr/share/dpkg/pkg-info.mk
+export BUILD_DATE=$(shell LC_ALL=C date -u "+%F" --date=@$(SOURCE_DATE_EPOCH))
 
 configure_flags = --bindir=/usr/games --enable-gameman
 
 %:
-	dh $@  --with autotools-dev
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(configure_flags)

## ricochet 0.10build1

=== debian/changelog ===
ricochet (0.10build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Mon, 08 Dec 2025 12:22:28 +0100
